
unit Utils;

interface

function LogFileName(const ABaseName: string): string;

implementation

uses
  SysUtils;

var
  LTimeStamp: string;
  
function LogFileName(const ABaseName: string): string;
begin
  result := Concat(
    ChangeFileExt(ABaseName, ''),
    {$IFDEF SEVERAL_FILES}'-', LTimeStamp,{$ENDIF}
    '.log'
  );
end;

begin
  LTimeStamp := FormatDateTime('hhnnss', Time);
end.
